#!/bin/bash
#
# An example hook script to verify what is about to be committed.
# Called by "git commit" with no arguments.  The hook should
# exit with non-zero status after issuing an appropriate message if
# it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-commit".

set -e

__dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

version="${1:?Error: No argument provided. Usage: $0 <version>}" 

npm version "v${version}"
git push --tags
git push